
export const menuData = [
    {
        optionName: "首页",
        iconClassName: "el-icon-s-home",
        routerName: "Index",
        index: '-1',
        disabled: false
    },
    {
        optionName: "定点屠宰智能管控",
        iconClassName: "el-icon-setting",
        index: '1',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业采购',
                index: '1-1',
                routerName: "firmBuy"
            },
            {
                optionName: '屠宰加工',
                index: '1-2',
                routerName: "packinghouse"
            },
            {
                optionName: '分割加工',
                index: '1-3',
                routerName: "DeliveryRoom"
            },
            {
                optionName: '产品检测',
                index: '1-4',
                routerName: "DeliveryRoom"
            },
            {
                optionName: '销售管理',
                index: '1-5',
                routerName: "DeliveryRoom"
            },
            {
                optionName: '成本核算',
                index: '1-6',
                routerName: "DeliveryRoom"
            },
            {
                optionName: '冷库管理',
                index: '1-7',
                routerName: "DeliveryRoom"
            },
        ]
    },
    {
        optionName: "产品制作智能监控",
        iconClassName: "el-icon-s-flag",
        index: '2',
        disabled: false,
        childList: [
            {
                optionName: '产品档案',
                index: '2-1',
                routerName: "PSY"
            },
            {
                optionName: '分割登记',
                index: '2-2',
                routerName: "Crop"
            },
            {
                optionName: '羊皮登记',
                index: '2-3',
                routerName: "Crop"
            },
            {
                optionName: '羊血登记',
                index: '2-4',
                routerName: "Crop"
            },
            {
                optionName: '羊杂登记',
                index: '2-5',
                routerName: "Crop"
            },
            
        ]
    },

    {
        optionName: "鲜肉储运智能管控",
        iconClassName: "el-icon-s-flag",
        index: '3',
        disabled: false,
        childList: [
            {
                optionName: '编码管理',
                index: '3-1',
                routerName: "GroupRecord"
            },
            {
                optionName: '配送管理',
                index: '3-2',
                routerName: "aa"
            },
            {
                optionName: '运输管理',
                index: '3-3',
                routerName: "aa"
            },
            {
                optionName: '门店管理',
                index: '3-4',
                routerName: "aa"
            },
            {
                optionName: '产品追溯',
                index: '3-5',
                routerName: "aa"
            },
        ]
    },
    {
        optionName: "开发用模板",
        iconClassName: "el-icon-menu",
        index: '100',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '模板 1',
                index: '100-1',
                routerName: "aa"
            },
            {
                optionName: '普通表格',
                index: '100-2',
                routerName: "ab"
            },
            {
                optionName: '模板 3',
                index: '100-3',
                routerName: "ac"
            },
            {
                optionName: '模板 4',
                index: '100-4',
                routerName: "ad"
            },
            {
                optionName: '模板 5',
                index: '100-5',
                routerName: "ee"
            },
            {
                optionName: '模板 6',
                index: '100-6',
                routerName: "af"
            }

        ]
    },

]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        index: '1', // 唯一标志
        childList: [ // 分组的
            {
                groupName: '组名一',
                index: '1-1-1',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                index: '1-1-2',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        index: '2',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '2-1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        index: '3',
        disabled: false
    },

    "导航四"
]


